LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-23-2010, 05:14 PM   #1
kern68
Member
 
Registered: Jun 2010
Distribution: Ubuntu, CentOS
Posts: 33

Rep: Reputation: 0
Updating Evolution...


Currently I am running Evolution 2.12.3 and wanted to update to 2.30.2. I downloaded the file evolution-2.30.2.tar.bz2 and extracted the files using "tar xvfj evolution-2.30.2.tar.bz2".

I am assuming that make needs run but I could not locate a file called "Makefile", but there are two files that look similar "Makefile.am" and "Makefile.in". I tried running "make -f Makefile.am" and got the error "Makefile.am:37: *** missing separator. Stop.". I am assuming the there is an error on line 37 of Makefile.am. That line is an if statement :

if ENABLE_SMIME
SMIME_SUBDIR=smime
endif

So I tried running "make -f Makefile.in" and got the error "Makefile.in:16: *** missing separator. Stop.", that line fron "Makefile.in" says "@SET_MAKE@".

Can I please get some help on the errors generated and how I can complete this process?

Thank you for any help,
GeoK
 
Old 06-23-2010, 06:14 PM   #2
crts
Senior Member
 
Registered: Jan 2010
Posts: 1,620

Rep: Reputation: 451Reputation: 451Reputation: 451Reputation: 451Reputation: 451
Quote:
Originally Posted by kern68 View Post
Currently I am running Evolution 2.12.3 and wanted to update to 2.30.2. I downloaded the file evolution-2.30.2.tar.bz2 and extracted the files using "tar xvfj evolution-2.30.2.tar.bz2".

I am assuming that make needs run but I could not locate a file called "Makefile", but there are two files that look similar "Makefile.am" and "Makefile.in". I tried running "make -f Makefile.am" and got the error "Makefile.am:37: *** missing separator. Stop.". I am assuming the there is an error on line 37 of Makefile.am. That line is an if statement :

if ENABLE_SMIME
SMIME_SUBDIR=smime
endif

So I tried running "make -f Makefile.in" and got the error "Makefile.in:16: *** missing separator. Stop.", that line fron "Makefile.in" says "@SET_MAKE@".

Can I please get some help on the errors generated and how I can complete this process?

Thank you for any help,
GeoK
Hi,

the standard procedure for installing from source is:
Code:
./configure
make
make install
You also need to read the README and INSTALL files that come with the source to determine which options you need to pass to the above mentioned commands.
However, before you start compiling check if your system satisfies the dependencies for building the newer version. My guess is that it will probably not; but I might be mistaken.
Also checkout if you can install the newer version using your package manager. I also doubt that this will be possible but I am not familiar with CentOs.
So if you really need the newer version of evolution you should consider upgrading your entire system.
 
1 members found this post helpful.
Old 06-23-2010, 06:23 PM   #3
snowpine
Senior Member
 
Registered: Feb 2009
Posts: 4,256

Rep: Reputation: 1202Reputation: 1202Reputation: 1202Reputation: 1202Reputation: 1202Reputation: 1202Reputation: 1202Reputation: 1202Reputation: 1202
Welcome to the forums!

Evolution is tightly integrated with the Gnome Desktop Environment. I do not think installing Evolution 2.30 on a Gnome 2.12 system is advisable. I would re-evaluate your need for Evolution 2.30; is it possible your current version might adequately meet your needs?

CentOS is not typically used by desktop users looking for the latest Gnome packages. Ubuntu and Fedora are popular desktop-oriented distros use Gnome/Evolution 2.30 by default. More background on your question and goals might trigger some good advice from the forums.
 
Old 06-27-2010, 12:43 PM   #4
kern68
Member
 
Registered: Jun 2010
Distribution: Ubuntu, CentOS
Posts: 33

Original Poster
Rep: Reputation: 0
Thank you crtx and snowpine for your input. Additional dependencies are required for this update. This will become a fun project. Thanks again for your help!!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Updating evolution 2.24.5 to 2.30.1 in Fedora 10 1948chev Fedora 1 06-16-2010 05:18 PM
updating address portion of x-evolution-account gjmwalsh Linux - Server 0 12-13-2009 06:54 PM
Evolution freezes on Suse 11.1 when importing .tar.gz file from Evolution 2.22.3.1 gerryf SUSE / openSUSE 2 03-27-2009 01:25 AM
Permission problem with importing evolution mail from the old .evolution folder oskar Linux - Software 4 05-23-2008 09:28 PM
How do you transfer evolution mail and settings to another computer running evolution cmisip Linux - Software 2 01-10-2003 03:07 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 04:28 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration